Package: groovy.jmx.builder

## [Groovy] Class JmxBuilder

- groovy.jmx.builder.JmxBuilder

- This is JmxBuilder's factory builder class. It is the parent node to all other children nodes supported by JmxBuilder.

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `defaultJmxNameDomain`
    `String` | `defaultJmxNameType`
    `MBeanServerConnection` | `mBeanServer`
    `String` | `mode`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `JmxBuilder ()`
    `JmxBuilder (MBeanServerConnection svrConnection)`
    `JmxBuilder ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `String` | `getDefaultJmxNameDomain()`
    `` | `String` | `getDefaultJmxNameType()`
    `` | `MBeanServerConnection` | `getMBeanServer()`
    `` | `String` | `getMode()`
    `` | `protected void` | `registerFactories()`
    `` | `protected Factory` | `resolveFactory(Object name, Map attributes, Object value)`
    `` | `void` | `setDefaultJmxNameDomain(String domain)`
    `` | `void` | `setDefaultJmxNameType(String type)`
    `` | `void` | `setMBeanServer(MBeanServerConnection svr)`
    `` | `void` | `setMode(String mode)`

- - ### Property Detail

    - #### String defaultJmxNameDomain

    - #### String defaultJmxNameType

    - #### MBeanServerConnection mBeanServer

    - #### String mode

  - ### Constructor Detail

    - #### JmxBuilder()

    - #### JmxBuilder(MBeanServerConnection svrConnection)

    - #### JmxBuilder()

  - ### Method Detail

    - #### String getDefaultJmxNameDomain()

    - #### String getDefaultJmxNameType()

    - #### MBeanServerConnection getMBeanServer()

    - #### String getMode()

    - #### protected void registerFactories()

    - #### protected Factory resolveFactory(Object name, Map attributes, Object value)

    - #### void setDefaultJmxNameDomain(String domain)

    - #### void setDefaultJmxNameType(String type)

    - #### void setMBeanServer(MBeanServerConnection svr)

    - #### void setMode(String mode)